# civicrm

> CiviCRM Wordpress

<!-- metadata -->

* **Category**: Apps
* **Status**: 0
* **Image**: [`civicrm`](https://hub.docker.com/r/civicrm), 4, upstream
* **Healthcheck**: No
* **Backups**: No
* **Email**: No
* **Tests**: No
* **SSO**: No

<!-- endmetadata -->

## Quick start
* `abra app new civicrm-wordpress`
* `abra app config <app-name>`

Generate secrets (be sure to save them):
* `abra app secret g <app-name> db_root_password v1`
* `abra app secret g <app-name> db_password v1`
* `abra app secret g <app-name> civicrm_site_key v1`
* `abra app secret g <app-name> civicrm_cred_key v1`
* `abra app secret g <app-name> civicrm_sign_key v1`

Insert secrets:
* `abra app secret i <app-name> wordpress_admin_password v1 '<temp account password>'`
* `abra app secret i <app-name> smtp_password v1 '<smtp password>'`

Deploy app:
* `abra app deploy <app-name>`

For more, see [`docs.coopcloud.tech`](https://docs.coopcloud.tech).


### Install extensions

set them in the env config and run: `abra app cmd civi.example.org app install_extensions`

to install unoffical extension run smth like:

```
abra app cmd civi.example.org app install_custom_extension shoreditch https://github.com/civicrm/org.civicrm.shoreditch
abra app cmd civi.example.org app install_custom_extension shoreditchwpworkarounds https://lab.civicrm.org/extensions/shoreditchwpworkarounds.git
```
